Loading...
Searching...
No Matches
Dune::Functions::Experimental::SubDomainGridView< HGV > Class Template Reference
Utility

A GridView for a sub-domain. More...

`#include <dune/functions/common/subdomain.hh>`

Inheritance diagram for Dune::Functions::Experimental::SubDomainGridView< HGV >:

## Classes

struct | Codim
| Codim specific typedefs. More...

## Public Types

enum | { dimension = Grid::dimension }
enum | { dimensionworld = Grid::dimensionworld }
using | HostGridView = HGV
using | Grid = typename HostGridView::Grid
using | ctype = typename Grid::ctype
using | IndexSet = SubDomainIndexSet<HostGridView>
using | Intersection = typename HostGridView::Intersection
using | IntersectionIterator = typename HostGridView::IntersectionIterator

## Public Member Functions

| SubDomainGridView (const IndexSet &indexSet)
| SubDomainGridView (const SubDomainGridView &other)=default
const Grid & | grid () const
const IndexSet & | indexSet () const
int | size (int codim) const
int | size (Dune::GeometryType gt) const
template<class Entity>
bool | contains (const Entity &entity) const
template<int codim, PartitionIteratorType pit = All_Partition>
Codim< codim >::template Partition< pit >::Iterator | begin () const
| Create an iterator pointing to the begin of the range.
template<int codim, PartitionIteratorType pit = All_Partition>
Codim< codim >::template Partition< pit >::Iterator | end () const
| Create an iterator pointing to the end of the range.
decltype(auto) | comm () const
decltype(auto) | ibegin (const typename Codim< 0 >::Entity &element) const
decltype(auto) | iend (const typename Codim< 0 >::Entity &element) const
const HostGridView & | hostGridView () const
| Access underlying host grid view.

## Protected Attributes

const IndexSet * | indexSet_

## Detailed Description

template<class HGV>
class Dune::Functions::Experimental::SubDomainGridView< HGV >

A GridView for a sub-domain.

A SubDomainGridView provides a reduces GridView interface for a subset of the entities of a grid view. Objects of this class store a pointer to a SubDomainIndexSet and can be copied cheaply.

Template Parameters

  HGV | The underlying host grid view type.

## Member Typedef Documentation

## ctype

template<class HGV>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::ctype = typename Grid::ctype

## Grid

template<class HGV>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Grid = typename HostGridView::Grid

## HostGridView

template<class HGV>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::HostGridView = HGV

## IndexSet

template<class HGV>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::IndexSet = SubDomainIndexSet<HostGridView>

## Intersection

template<class HGV>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::Intersection = typename HostGridView::Intersection

## IntersectionIterator

template<class HGV>

using Dune::Functions::Experimental::SubDomainGridView< HGV >::IntersectionIterator = typename HostGridView::IntersectionIterator

## Member Enumeration Documentation

## anonymous enum

template<class HGV>

anonymous enum

Enumerator
dimensionworld |

## anonymous enum

template<class HGV>

anonymous enum

Enumerator
dimension |

## Constructor & Destructor Documentation

## SubDomainGridView() [1/2]

template<class HGV>

Dune::Functions::Experimental::SubDomainGridView< HGV >::SubDomainGridView | ( | const IndexSet & | indexSet | ) |

inline

## SubDomainGridView() [2/2]

template<class HGV>

Dune::Functions::Experimental::SubDomainGridView< HGV >::SubDomainGridView | ( | const SubDomainGridView< HGV > & | other | ) |

default

## Member Function Documentation

## begin()

template<class HGV>
template<int codim, PartitionIteratorType pit = All_Partition>

Codim< codim >::template Partition< pit >::Iterator Dune::Functions::Experimental::SubDomainGridView< HGV >::begin | ( |  | ) | const

inline

Create an iterator pointing to the begin of the range.

## comm()

template<class HGV>

decltype(auto) Dune::Functions::Experimental::SubDomainGridView< HGV >::comm | ( |  | ) | const

inline

## contains()

template<class HGV>
template<class Entity>

bool Dune::Functions::Experimental::SubDomainGridView< HGV >::contains | ( | const Entity & | entity | ) | const

inline

## end()

template<class HGV>
template<int codim, PartitionIteratorType pit = All_Partition>

Codim< codim >::template Partition< pit >::Iterator Dune::Functions::Experimental::SubDomainGridView< HGV >::end | ( |  | ) | const

inline

Create an iterator pointing to the end of the range.

## grid()

template<class HGV>

const Grid & Dune::Functions::Experimental::SubDomainGridView< HGV >::grid | ( |  | ) | const

inline

## hostGridView()

template<class HGV>

const HostGridView & Dune::Functions::Experimental::SubDomainGridView< HGV >::hostGridView | ( |  | ) | const

inline

Access underlying host grid view.

## ibegin()

template<class HGV>

decltype(auto) Dune::Functions::Experimental::SubDomainGridView< HGV >::ibegin | ( | const typename Codim< 0 >::Entity & | element | ) | const

inline

## iend()

template<class HGV>

decltype(auto) Dune::Functions::Experimental::SubDomainGridView< HGV >::iend | ( | const typename Codim< 0 >::Entity & | element | ) | const

inline

## indexSet()

template<class HGV>

const IndexSet & Dune::Functions::Experimental::SubDomainGridView< HGV >::indexSet | ( |  | ) | const

inline

## size() [1/2]

template<class HGV>

int Dune::Functions::Experimental::SubDomainGridView< HGV >::size | ( | Dune::GeometryType | gt | ) | const

inline

## size() [2/2]

template<class HGV>

int Dune::Functions::Experimental::SubDomainGridView< HGV >::size | ( | int | codim | ) | const

inline

## Member Data Documentation

## indexSet_

template<class HGV>

const IndexSet* Dune::Functions::Experimental::SubDomainGridView< HGV >::indexSet_

protected

The documentation for this class was generated from the following file:

- subdomain.hh